<!-- 

	All content on this website (including text, images, source
	code and any other original works), unless otherwise noted,
	is licensed under a Creative Commons License.
	
	http://creativecommons.org/licenses/by-nc-sa/2.5/
	
	Copyright (C) 2004-2010 Open-Xchange, Inc.
	Mail: info@open-xchange.com 
	
	@author Markus Wagner <markus.wagner@open-xchange.com>

 -->
<div xmlns:ox="http://localhost/html/dtd/ox.dtd">
<ox:popupwindow xmlns:ox="http://localhost/html/dtd/ox.dtd" id="series_window" class="floatingdivSeries" caption="Create new series">
	<div class="greywrapper">
		<form name="series_window_form" id="series_window_form">
		<div class="seriesHeadline background-color-additional-content border-color-design" ox:i18n="">Recurrence Type</div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="lc collapse borderbottom">
				<tr>
					<td style="padding-left:7px"><input id="series_recurrence_type:0" type="radio" class="noborder nobackground" name="recurrence_type" onclick="globalseries.recurrenceType(parseInt(this.value, 10))" value="0" checked="checked" /><span ox:i18n="">Once</span></td>
					<td><input id="series_recurrence_type:1" type="radio" class="noborder nobackground" name="recurrence_type" onclick="globalseries.recurrenceType(parseInt(this.value, 10));" value="1" /><span ox:i18n="">Daily</span></td>
					<td><input id="series_recurrence_type:2" type="radio" class="noborder nobackground" name="recurrence_type" onclick="globalseries.recurrenceType(parseInt(this.value, 10));" value="2" /><span ox:i18n="">Weekly</span></td>
					<td><input id="series_recurrence_type:3" type="radio" class="noborder nobackground" name="recurrence_type" onclick="globalseries.recurrenceType(parseInt(this.value, 10));" value="3"/><span ox:i18n="">Monthly</span></td>
					<td><input id="series_recurrence_type:4" type="radio" class="noborder nobackground" name="recurrence_type" onclick="globalseries.recurrenceType(parseInt(this.value, 10));" value="4" /><span ox:i18n="">Yearly</span></td>
				</tr>
			</table>
		<div class="seriesHeadline background-color-additional-content border-color-design" ox:i18n="">Recurrence Settings</div>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="lc collapse borderbottom">
			<tr>
				<td colspan="2" valign="top">
					<div class="seriesVStrecher">
						<div id="series_content:0">
			     			<table border="0" cellspacing="0" cellpadding="0" class="seriesInnerTable">
			      				<tr>
			      					<td><img src="themes/default/img/dummy.gif"/></td>
			      				</tr>
			     			</table>
						</div>
			    		<div id="series_content:1" style="display: none;">
			     			<table border="0" cellspacing="0" cellpadding="0" class="seriesInnerTable">
			      				<tr>
			       					<td style="width: 100%">
			       						<table cellpadding="0" cellspacing="0" border="0">
			       							<tr>
			       								<td ox:i18n="">Each</td>
			       								<td>
			       									<div style="overflow:auto"><input  id="series_interval_day" type="text" name="series_interval_day" value="1" size="2" onChange="this.value=series_parseValue(this.value,'integer')"/></div>
			       								</td>
			       								<td ox:i18n="">Day</td>
			       							</tr>
			       						</table>
			       					</td>
			      				</tr>
			     			</table>
					    </div>
						<div id="series_content:2" style="display: none">
							<table border="0" cellspacing="0" cellpadding="0" class="seriesInnerTable">
			      				<tr>
									<td ox:i18n="">Every</td>
									<td><div style="overflow:auto"><input id="series_interval_week" type="text" name="series_interval_week" value="1" size="2" onChange="this.value=series_parseValue(this.value,'integer')"></input></div></td>
									<td ox:i18n="">Week(s) on</td>
			      				</tr>
			      			</table>
							<table width="100%" border="0" cellspacing="0" cellpadding="0" class="seriesInnerTable">
			      				<tr>
			       					<td valign="top">
			        					<table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr>
				  								<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_2" value="2"></input></td>
			  									<td ox:i18n="">Monday</td>
			  									<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_4" value="4"></input></td>
			  									<td ox:i18n="">Tuesday</td>
			  									<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_8" value="8"></input></td>
				  								<td ox:i18n="">Wednesday</td>
				  								<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_16" value="16"></input></td>
												<td ox:i18n="">Thursday</td>
				 							</tr>
				 							<tr>
				  								<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_32" value="32"></input></td>
				  								<td ox:i18n="">Friday</td>
				  								<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_64" value="64"></input></td>
				  								<td ox:i18n="">Saturday</td>
				  								<td><input type="checkbox" class="noborder nobackground" name="series_days" id="series_days_1" value="1"></input></td>
											  	<td ox:i18n="">Sunday</td>
											  	<td>&#xa0;</td>
											  	<td>&#xa0;</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</div>
						<div id="series_content:3" style="display: none">
							<table width="100%" border="0" cellspacing="0" cellpadding="0" class="seriesInnerTable">
								<tr>
									<td>
										<table border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td><input id="series_content_month_option:0" name="series_content_month_option" value="0" type="radio" class="noborder nobackground" checked="checked"></input></td>
												<td ox:i18n="">on</td>
												<td><div style="overflow:auto"><input id="series_content_month_day_in_month:0" name="series_content_month_day_in_month:0" value="1" size="2" onChange="this.value=series_parseValue(this.value,'integer')"/></div></td>
												<td>. <span ox:i18n="">day every</span></td>
												<td><div style="overflow:auto"><input type="text" id="series_interval_month:0" name="series_interval_month:0" value="1" size="2" onChange="this.value=series_parseValue(this.value,'integer')" /></div></td>
												<td>. <span ox:i18n="">month</span></td>
											</tr>
										</table>
									</td>
								</tr>
							    <tr>
									<td>
										<table border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td><input id="series_content_month_option:1" name="series_content_month_option" value="1" type="radio" class="noborder nobackground"></input></td>
												<td ox:i18n="">on</td>
												<td><div id="series_content_month_day_in_month:1"></div></td>
												<td><div id="series_content_month_days:1"></div></td>
												<td ox:i18n="">each</td>
												<td><div style="overflow:auto"><input type="text" id="series_interval_month:1" name="series_interval_month:1" value="1" size="2" onChange="this.value=series_parseValue(this.value,'integer')" /></div></td>
												<td>. <span ox:i18n="">month</span></td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</div>							
						<div id="series_content:4" style="display: none">
							<table width="100%" border="0" cellspacing="0" cellpadding="0" class="seriesInnerTable">
								<tbody>
						      		<tr>
										<td>
											<table border="0" cellspacing="0" cellpadding="0">
												<tr>
													<td><input id="series_content_year_option:0" name="series_content_year_option" value="0" type="radio" class="noborder nobackground" checked="checked"></input></td>
													<td ox:i18n="">Each</td>
													<td><div style="overflow:auto"><input id="series_content_year_day_in_month:0" name="series_content_year_day_in_month:0" value="1" size="2" type="text" onChange="this.value=series_parseValue(this.value,'integer')"></input></div></td>
													<td>.</td>
													<td><div id="series_content_year_month:0"></div></td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
								 		<td>
								 			<table border="0" cellspacing="0" cellpadding="0">
								 				<tr>
								 					<td><input id="series_content_year_option:1" name="series_content_year_option" value="1" type="radio" class="noborder nobackground"></input></td>
								 					<td ox:i18n="">on</td>
													<td><div id="series_content_year_day_in_month:1"></div></td>
													<td><div id="series_content_year_days:1"></div></td>
													<td ox:i18n="">in</td>
													<td><div id="series_content_year_month:1"></div></td>
								 				</tr>
								 			</table>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</td>
			</tr>
		</table>
		<div class="seriesHeadline background-color-additional-content border-color-design" ox:i18n="">Series Duration</div>
		<table cellpadding="0" cellspacing="0" border="0" class="collapse" style="margin-bottom: 0.5em; width: 100%;table-layout:fixed;padding-left:7px">
			<tr>
				<td style="width:20%;padding-left:7px"><div ox:i18n="">Start date</div></td>
				<td style="width:22px"><img src="themes/default/img/dummy.gif"/></td>
				<td><img src="themes/default/img/dummy.gif"/></td>
				<td colspan="2" style="width:35%">
					<div style="overflow:auto; width:100%">
						<input style="width:95%; padding: 0px" type="text" id="series_duration_startdate" name="series_duration_startdate" onblur="setSequenceStartDateOnBlur()" />
					</div>
				</td>
				<td style="width:5%">					
					<img src="themes/default/img/calendar/datepicker.gif" alt="" id="mini_sequence_start_img" class="datepicker" onclick="globalseries.toggleMiniSequenceStart();"/>
				</td>
				<td><img src="themes/default/img/dummy.gif"/></td>
			</tr>
			<tr>
				<td style="width:20%;padding-left:7px"><div ox:i18n="">Ends</div></td>
				<td style="width:22px">
					<input type="radio" class="noborder nobackground" id="series_ending_date_0" name="ending_date" value="0" checked="checked"/>
				</td>
				<td ox:i18n="" style="width:10%;padding-left: 7px;padding-right:7px">never</td>
				<td colspan="3" style="width:40%"><img src="themes/default/img/dummy.gif"/></td>
				<td><img src="themes/default/img/dummy.gif"/></td>
			</tr>
			<tr>
				<td style="width:20%"><img src="themes/default/img/dummy.gif"/></td>
				<td style="width:22px">
					<input type="radio" class="noborder nobackground" id="series_ending_date_1" name="ending_date" value="1" />
				</td>
				<td style="width:10%;padding-left: 7px;padding-right:7px" ox:i18n="">after</td>
				<td style="width:40%;white-space:nowrap" colspan="3">
					<table cellpadding="0" cellspacing="0" border="0">
						<tr>
							<td>
								<div style="overflow:auto"><input type="text" id="series_duration_endsafter" name="series_duration_endsafter" value="2" size="2" onChange="this.value=series_parseValue(this.value,'integer');$('series_ending_date_1').checked='checked';" onfocus="$('series_ending_date_1').checked='checked';"/></div>
							</td>
							<td>
								<div style="padding-left:7px" id="endsAfterType">Tasks</div>		
							</td>
						</tr>
					</table>
				</td>
				<td><img src="themes/default/img/dummy.gif"/></td>
			</tr>
			<tr>
				<td style="width:20%"><img src="themes/default/img/dummy.gif"/></td>
				<td style="width:22px">
					<input type="radio" class="noborder nobackground" id="series_ending_date_2" name="ending_date" onclick="globalseries.toggleMiniSequenceEnd();" value="2"/>
				</td>
				<td style="width:10%;padding-left: 7px;padding-right:7px" ox:i18n="">on</td>
				<td colspan="2" style="width:35%">
					<div style="overflow:auto;width:100%"><input style="width:95%; padding: 0px" type="text" id="series_duration_enddate" name="series_duration_calendar_end" onblur="setSequenceEndDateOnBlur()" onChange="$('series_ending_date_2').checked='checked';" onfocus="$('series_ending_date_2').checked='checked';"/></div>
				</td>
				<td style="width:5%">							
					<img src="themes/default/img/calendar/datepicker.gif" alt="" id="mini_sequence_end_img" class="datepicker" onclick="globalseries.toggleMiniSequenceEnd();"></img>
				</td>
				<td><img src="themes/default/img/dummy.gif"/></td>
			</tr>
		</table>	
	</form>
	</div>
	<table class="seriesBottom" cellpadding="0" cellspacing="0" border="0">	
		<tr>
			<td>
				<ox:button ox:i18n="" class="blueground" style="float: right" onclick="globalseries.cancelView()">Cancel</ox:button>
				<ox:button ox:i18n="" class="blueground" style="float: right" onclick="globalseries.closeView();">OK</ox:button>
			</td>
		</tr>
	</table>
</ox:popupwindow>

<ox:popupwindow xmlns:ox="http://localhost/html/dtd/ox.dtd" id="series_duration_calendar_start" caption="Select Date" style="display:none; z-index:20; width:20em;">
	<div class="miniCalendarTop popupHeaderBackground font-style-headline">					
		<table cellpadding="0" cellspacing="0" border="0" style="text-align: center;">															
			<tr>
				<td style="text-align: left; width: 5%;"><img src="themes/default/img/arrows/arrow_darkgrey_left.gif" alt="" onclick="globalseries.sequenceStart.back()" style="margin-right:5px"/></td>																		
				<td style="cursor:pointer; text-align: left; width: 50%;">
					<div id="begin_header_sequence" style="width:100%">
				 		<table cellpadding="0" cellspacing="0" border="0" style="width:100%">
				 			<tr>
				  				<td style="width:8em"><div id="seq_begin_header_month"></div></td>
				  				<td style="width:4em"><div id="seq_begin_header_year"></div></td>
							</tr>
						</table>
					</div>																
				</td>																	
				<td style="text-align: right; width: 5%;"><img src="themes/default/img/arrows/arrow_darkgrey_right.gif" alt="" onClick="globalseries.sequenceStart.next()" style="margin-left:5px"/></td>																
			</tr>
		</table>								
	</div>
	<div id="begin_sequence" class="miniCalendarContainer"></div>
	<div class="miniCalendarBottom">
		<ox:button ox:i18n="" class="blueground" onclick="$('series_duration_calendar_start').style.display='none';" style="width:8em">Cancel</ox:button>
	</div>
</ox:popupwindow>

<ox:popupwindow xmlns:ox="http://localhost/html/dtd/ox.dtd" id="series_duration_calendar_end" caption="Select Date" style="display:none; z-index:20; width:20em;">
	<div class="miniCalendarTop popupHeaderBackground font-style-headline">
		<table cellpadding="0" cellspacing="0" border="0" style="text-align: center;">															
			<tr>
				<td style="text-align: left; width: 5%;">
					<img src="themes/default/img/arrows/arrow_darkgrey_left.gif" alt="" onClick="globalseries.sequenceEnd.back()" style="margin-right:5px"/>
				</td>																		
				<td style="cursor:pointer; text-align: left; width: 90%;">
					<div id="end_header_sequence" style="width:100%">
					 	<table cellpadding="0" cellspacing="0" border="0" style="width:100%">
					 		<tr>
					  			<td style="width:8em">
					  				<div id="seq_end_header_month"></div>
					  			</td>
					  			<td style="width:4em">
					  				<div id="seq_end_header_year"></div>
					  			</td>
							</tr>
						</table>
					</div>																
				</td>																	
				<td style="text-align: right; width: 5%;">
					<img src="themes/default/img/arrows/arrow_darkgrey_right.gif" alt="" onClick="globalseries.sequenceEnd.next()" style="margin-left:5px"/>
				</td>																
			</tr>
		</table>							
	</div>
	<div id="end_sequence" class="miniCalendarContainer"></div>
	<div class="miniCalendarBottom">
		<ox:button ox:i18n="" class="blueground" onclick="$('series_duration_calendar_end').style.display='none';" style="width:8em">Cancel</ox:button>
	</div>
</ox:popupwindow>

</div>